| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
precedence::AlgoProps Struct Reference

`#include <src/PRGraph/PrecedenceRulesGraph.h>`

Collaboration diagram for precedence::AlgoProps:
[legend]

## Public Member Functions
| AlgoProps ()
| AlgoProps (Gaudi::Algorithm *algo, uint nodeIndex, uint algoIndex, bool inverted, bool allPass)

## Public Attributes
std::string | m_name {""}
int | m_nodeIndex {-1}
int | m_algoIndex {-1}
int | m_rank {-1}
Gaudi::Algorithm * | m_algorithm {nullptr}
| Algorithm representative behind the AlgorithmNode. More...
bool | m_inverted {false}
| Whether the selection result is negated or not. More...
bool | m_allPass {false}
| Whether the selection result is relevant or always "pass". More...
bool | m_isIOBound {false}
| If an algorithm is blocking. More...

## Detailed Description

Definition at line 54 of file PrecedenceRulesGraph.h.

## Constructor & Destructor Documentation

## ◆ AlgoProps() [1/2]

precedence::AlgoProps::AlgoProps | ( |  | ) |
| inline

Definition at line 55 of file PrecedenceRulesGraph.h.

55 {}

## ◆ AlgoProps() [2/2]

precedence::AlgoProps::AlgoProps | ( | Gaudi::Algorithm * | algo,
|  | uint | nodeIndex,
|  | uint | algoIndex,
|  | bool | inverted,
|  | bool | allPass
| ) |  |
| inline

Definition at line 56 of file PrecedenceRulesGraph.h.

57 : m_name( algo->name() )
58 , m_nodeIndex( nodeIndex )
59 , m_algoIndex( algoIndex )
60 , m_algorithm( algo )
61 , m_inverted( inverted )
62 , m_allPass( allPass )
63 , m_isIOBound( algo->isIOBound() ) {}
Gaudi::Algorithm::isIOBound
bool isIOBound() const
Definition: Algorithm.h:431
precedence::AlgoProps::m_isIOBound
bool m_isIOBound
If an algorithm is blocking.
Definition: PrecedenceRulesGraph.h:77
precedence::AlgoProps::m_algoIndex
int m_algoIndex
Definition: PrecedenceRulesGraph.h:67
precedence::AlgoProps::m_name
std::string m_name
Definition: PrecedenceRulesGraph.h:65
precedence::AlgoProps::m_nodeIndex
int m_nodeIndex
Definition: PrecedenceRulesGraph.h:66
precedence::AlgoProps::m_allPass
bool m_allPass
Whether the selection result is relevant or always "pass".
Definition: PrecedenceRulesGraph.h:75
precedence::AlgoProps::m_inverted
bool m_inverted
Whether the selection result is negated or not.
Definition: PrecedenceRulesGraph.h:73
precedence::AlgoProps::m_algorithm
Gaudi::Algorithm * m_algorithm
Algorithm representative behind the AlgorithmNode.
Definition: PrecedenceRulesGraph.h:70
Gaudi::Algorithm::name
const std::string & name() const override
The identifying name of the algorithm object.
Definition: Algorithm.cpp:645

## Member Data Documentation

## ◆ m_algoIndex

int precedence::AlgoProps::m_algoIndex {-1}

Definition at line 67 of file PrecedenceRulesGraph.h.

## ◆ m_algorithm

Gaudi::Algorithm* precedence::AlgoProps::m_algorithm {nullptr}

Algorithm representative behind the AlgorithmNode.

Definition at line 70 of file PrecedenceRulesGraph.h.

## ◆ m_allPass

bool precedence::AlgoProps::m_allPass {false}

Whether the selection result is relevant or always "pass".

Definition at line 75 of file PrecedenceRulesGraph.h.

## ◆ m_inverted

bool precedence::AlgoProps::m_inverted {false}

Whether the selection result is negated or not.

Definition at line 73 of file PrecedenceRulesGraph.h.

## ◆ m_isIOBound

bool precedence::AlgoProps::m_isIOBound {false}

If an algorithm is blocking.

Definition at line 77 of file PrecedenceRulesGraph.h.

## ◆ m_name

std::string precedence::AlgoProps::m_name {""}

Definition at line 65 of file PrecedenceRulesGraph.h.

## ◆ m_nodeIndex

int precedence::AlgoProps::m_nodeIndex {-1}

Definition at line 66 of file PrecedenceRulesGraph.h.

## ◆ m_rank

int precedence::AlgoProps::m_rank {-1}

Definition at line 68 of file PrecedenceRulesGraph.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/PRGraph/PrecedenceRulesGraph.h